2014/07/16

Shockwave Flash. を読み込めませんでした、というエラーが Chrome で表示される場合の対処法


EMET 4.1 Update 1 をインストールして、Chrome の監視をしていたところ、「Shockwave Flash. を読み込めませんでした」というエラーが表示されて、Chrome で Flash を再生できなくなってしまいまいした。

img01

EMET の監視対象から Chrome を外すことでこのエラーは表示されなくなりますが、それでは EMET を導入した意味がないので、EMET で Chrome を監視しつつ Flash を再生する方法をご紹介します。

Chrome のアドレスバーに「chrome://plugins/」と入力し、「+詳細」を開きます。

img02

Flash Player のところまでスクロールすると、Flash Player が 2 個インストールされています。エラーが出るのはこれが原因です。

タイプが PPAPI と NPAPI の 2 種類があるのですが、PPAPI の方を無効にします。NPAPI の無効の方が推奨される対策のはずなのですが、現時点ではエラーが解消されないため仕方ないですね。

img03

これでエラーは表示されなくなります。


スポンサーリンク


このエントリーをはてなブックマークに追加




Twitter ではブログにはない、いろんな情報を発信しています。


コメント

コメントを書く



プロフィール